org.icefaces.ace.component.autocompleteentry

## Class KeyEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.ActionEvent
      - - org.icefaces.ace.component.autocompleteentry.KeyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class KeyEvent
      extends javax.faces.event.ActionEvent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALT`
    `static int` | `BACK_SLASH`
    `static int` | `BACK_SPACE`
    `static int` | `CAPSLOCK`
    `static int` | `CARRIAGE_RETURN`
    `static int` | `CONTEXT_MENU`
    `static int` | `CTRL`
    `static int` | `DEL`
    `static int` | `DOWN_ARROW_KEY`
    `static int` | `END`
    `static int` | `ESC`
    `static int` | `F1`
    `static int` | `F10`
    `static int` | `F11`
    `static int` | `F12`
    `static int` | `F2`
    `static int` | `F3`
    `static int` | `F4`
    `static int` | `F5`
    `static int` | `F6`
    `static int` | `F7`
    `static int` | `F8`
    `static int` | `F9`
    `static int` | `HOME`
    `static int` | `INSERT`
    `static int` | `LEFT_ARROW_KEY`
    `static int` | `LINE_FEED`
    `static int` | `PAGE_DOWN`
    `static int` | `PAGE_UP`
    `static int` | `PAUSE`
    `static int` | `PRINT_SCREEN`
    `static int` | `RIGHT_ARROW_KEY`
    `static int` | `SCR_LK`
    `static int` | `SHIFT`
    `static int` | `SPACE`
    `static int` | `START_LEFT`
    `static int` | `START_RIGHT`
    `static int` | `TAB`
    `static int` | `UP_ARROW_KEY`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyEvent(javax.faces.component.UIComponent uiComponent, java.util.Map requestMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentId()`
    `int` | `getKeyCode()`
    `java.lang.String` | `getType()`
    `boolean` | `isAltKey()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener arg0)`
    `boolean` | `isCtrlKey()`
    `boolean` | `isShiftKey()`
    `void` | `processListener(javax.faces.event.FacesListener arg0)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ESC

          public static final int ESC

      See Also:
        Constant Field Values

    - #### TAB

          public static final int TAB

      See Also:
        Constant Field Values

    - #### CAPSLOCK

          public static final int CAPSLOCK

      See Also:
        Constant Field Values

    - #### SHIFT

          public static final int SHIFT

      See Also:
        Constant Field Values

    - #### CTRL

          public static final int CTRL

      See Also:
        Constant Field Values

    - #### START_LEFT

          public static final int START_LEFT

      See Also:
        Constant Field Values

    - #### START_RIGHT

          public static final int START_RIGHT

      See Also:
        Constant Field Values

    - #### CONTEXT_MENU

          public static final int CONTEXT_MENU

      See Also:
        Constant Field Values

    - #### ALT

          public static final int ALT

      See Also:
        Constant Field Values

    - #### SPACE

          public static final int SPACE

      See Also:
        Constant Field Values

    - #### CARRIAGE_RETURN

          public static final int CARRIAGE_RETURN

      See Also:
        Constant Field Values

    - #### LINE_FEED

          public static final int LINE_FEED

      See Also:
        Constant Field Values

    - #### BACK_SLASH

          public static final int BACK_SLASH

      See Also:
        Constant Field Values

    - #### BACK_SPACE

          public static final int BACK_SPACE

      See Also:
        Constant Field Values

    - #### INSERT

          public static final int INSERT

      See Also:
        Constant Field Values

    - #### DEL

          public static final int DEL

      See Also:
        Constant Field Values

    - #### HOME

          public static final int HOME

      See Also:
        Constant Field Values

    - #### END

          public static final int END

      See Also:
        Constant Field Values

    - #### PAGE_UP

          public static final int PAGE_UP

      See Also:
        Constant Field Values

    - #### PAGE_DOWN

          public static final int PAGE_DOWN

      See Also:
        Constant Field Values

    - #### PRINT_SCREEN

          public static final int PRINT_SCREEN

      See Also:
        Constant Field Values

    - #### SCR_LK

          public static final int SCR_LK

      See Also:
        Constant Field Values

    - #### PAUSE

          public static final int PAUSE

      See Also:
        Constant Field Values

    - #### LEFT_ARROW_KEY

          public static final int LEFT_ARROW_KEY

      See Also:
        Constant Field Values

    - #### UP_ARROW_KEY

          public static final int UP_ARROW_KEY

      See Also:
        Constant Field Values

    - #### RIGHT_ARROW_KEY

          public static final int RIGHT_ARROW_KEY

      See Also:
        Constant Field Values

    - #### DOWN_ARROW_KEY

          public static final int DOWN_ARROW_KEY

      See Also:
        Constant Field Values

    - #### F1

          public static final int F1

      See Also:
        Constant Field Values

    - #### F2

          public static final int F2

      See Also:
        Constant Field Values

    - #### F3

          public static final int F3

      See Also:
        Constant Field Values

    - #### F4

          public static final int F4

      See Also:
        Constant Field Values

    - #### F5

          public static final int F5

      See Also:
        Constant Field Values

    - #### F6

          public static final int F6

      See Also:
        Constant Field Values

    - #### F7

          public static final int F7

      See Also:
        Constant Field Values

    - #### F8

          public static final int F8

      See Also:
        Constant Field Values

    - #### F9

          public static final int F9

      See Also:
        Constant Field Values

    - #### F10

          public static final int F10

      See Also:
        Constant Field Values

    - #### F11

          public static final int F11

      See Also:
        Constant Field Values

    - #### F12

          public static final int F12

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyEvent

          public KeyEvent(javax.faces.component.UIComponent uiComponent,
                          java.util.Map requestMap)

  - ### Method Detail

    - #### isAltKey

          public boolean isAltKey()

    - #### isCtrlKey

          public boolean isCtrlKey()

    - #### isShiftKey

          public boolean isShiftKey()

    - #### getKeyCode

          public int getKeyCode()

    - #### getType

          public java.lang.String getType()

    - #### getComponentId

          public java.lang.String getComponentId()

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener arg0)

      Overrides:
        `isAppropriateListener` in class `javax.faces.event.ActionEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener arg0)

      Overrides:
        `processListener` in class `javax.faces.event.ActionEvent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.